Tags give the ability to mark specific points in history as being important
  • 41.1
    a79da1e9 · Update translations ·
    Release 41.1

    This is a development release leading up to 42.0.

    • Add welcome state for first time use (with slightly guided backup/restore)
    • Add an in-app browse & restore interface
    • Drop nautilus plugin, in preference of above new browse interface
    • Updated translations
    Packaging
    • Drop optional libnautilus-extension dependency
  • 41.0
    cd056d4a · Fix lint error ·
    Release 41.0

    This is a development release leading up to 42.0.

    • Drop deprecated backends (GOA, S3, GCS, OpenStack, and Rackspace)
    • Redesign the main window and preferences to follow GNOME design patterns
    • Use "Déjà Dup Backups" instead of "Déjà Dup Backup Tool" as full name
    • Drop "Version" key from desktop files, which broke some parsers
    • Updated translations
    Packaging
    • Add required libhandy-0.0 dependency
    • Bump minimum glib version to 2.64
    • Drop optional goa-1.0 dependency
    • Drop boto_pkgs, cloudfiles_pkgs, and swiftclient_pkgs meson options
    • appstream-util, dbus-run-session, and desktop-file-validate are now optional during build if you don't intend to run tests
  • 40.6
    bf75273e · Bump version ·
    Release 40.6
    • Fixes a bug that prevented backing up to Google Drive accounts with unlimited quotas
    • Updated translations
  • 40.5
    Release 40.5
    • Fix a bug that prevented backing up to Google Drive in some rare situations
    • Update translations
  • 40.4
    65c4370c · Bump version, update NEWS ·
    Release 40.4
    • Fix a bug that prevented the first login to Google Drive
    • Update translations
  • 40.3
    Release 40.3
    • Fix a bug that prevented resuming a full backup
    • Update translations
  • 40.2
    Release 40.2
    • Fix 2038 date problems by using 64-bit dates internally
    • Update translations
    Packaging
    • Fix building against valac 0.45.2 and later
    • Require glib 2.56
    • Require meson 0.47
    • Add optional dependency on libgdk-x11-3.0 (only used in flatpak builds)
    • Make libgoa-1.0 an optional dependency (still recommended for a few years though)
    Flatpak
    • Support autostarting via the new Background portal
  • 40.1
    Release 40.1
    • Fix versioning to be correct
  • 40.0
    Release 40.0
    • Fix tests when run under glib 2.60
  • 39.1
    Release 39.1
    • Fix a bug that could have caused backups to be encrypted with two different passwords in some cases. This would result in difficulty backing up or restoring by not accepting the password you expected it to.
    • Fix a bug that caused duplicate save or exclude folders to appear in the preferences.
    • Delete a canary file that duplicity's pydrive puts in your Drive.
    • If you don't ask for your password to be saved, we now clear out any older saved password.
    • Finally delete the ancient Ubuntu One backend code.
  • 39.0
    Release 39.0
    • Switch away from GNOME Online Accounts to our own cloud keys
      • It was brought to our attention that we shouldn't be using GNOME's keys, as they are intended for GNOME only.
      • Google accounts will have to be re-authenticated with our keys.
      • Nextcloud accounts will now appear as webdav network server accounts.
      • Adds new pydrive_pkgs option to list the package names needed for the pydrive duplicity backend (for now, the system package that provides the pydrive python2 package should suffice).
      • Adds new google_client_id option if you want to override our default account key and use your own. You likely won't want to do this.
      • Adds new dependencies on libjson-glib and libsoup.
      • Drops libgoa-backend dependency. The libgoa dependency will stay during a transition period from the old keys to the new keys.
    • Unmount a remote backup location when we are done with it, if we originally mounted it.
  • 38.4
    017e0b81 · Fix version in NEWS ·
    Release 38.4
    • Update app icon
    • Don't run monitor when automatic backups are disabled
    • Drop libpeas dependency
    • Fix compilation with valac 0.43
    • Be more forgiving if packagekit is unresponsive
    • Update translations
  • 38.3
    Release 38.3
    • Allow restoring from paths with symlinks in more situations (including a fix for a backup error when ~/.cache is a symlink)
    • Treat operation dialogs more like real dialogs (modal to preference window, with correct styling on default buttons)
    • Try harder to stop running duplicity commands when we are terminated
    • Don't hide an error message when also running our bimonthly backup verification
    • If there isn't enough space in the backup location, tell the user how much is needed
    • Exclude flatpak cache directories by default
  • 38.2
    Release 38.2
    • Fix not being able to find the backup files when restoring on a fresh install
  • 38.1
    46ec0ff9 · Fix po validation tests ·
    Release 38.1
    • Use a primary menu instead of an AppMenu, per current GNOME recommendations (thanks Jeremy Bicha)
    • Drop support for the legacy desktop status icon
    • Update translations
  • 38.0
    Release 38.0
    • Drop ulimit for monitor process, it was causing crashes
    • Fix autoscrolling in progress window
    • Exclude snap cache directories by default
    • Update translations
  • 35.6
    992ad49c · Prepare for release ·
  • 35.5
    8af7a571 · Prepare release ·
  • 35.4
  • 35.3